Retrieve a disclosure
curl --request GET \
--url https://api.example.com/v1/disclosures/{disclosureId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/disclosures/{disclosureId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/disclosures/{disclosureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"assetId": "<string>",
"purpose": "<string>",
"scope": {
"transactionIds": [
"<string>"
],
"fields": [
"amount"
],
"account": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"format": "json",
"status": "pending",
"externalReference": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"result": {
"format": "json",
"generatedAt": "2023-11-07T05:31:56Z",
"receiptId": "<string>",
"records": [
{}
],
"content": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Retrieve a disclosure
Return a disclosure’s status and authorized result.
Retrieve a disclosure
The
result is null while the Disclosure is pending or when it is
rejected.
When the status is available, the result contains the approved data in the
requested json or csv format. It also contains the disclosure operation’s
receiptId.Authorizations
Organization API key created through the User API.
Path Parameters
Arcane disclosure request ID.
Response
Disclosure returned.
Limits the records and confidential fields included in a disclosure.
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
json, csv Available options:
pending, available, rejected Show child attributes
Show child attributes